Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13064/?format=api
{ "ob_id": 13064, "uuid": "38785e3d2736475e9db984481758fb66", "title": "Snowdon Mountain Railway Global Navigation Satellite Systems (GNSS): surface meteorological and GPS data from the base of the railway at Llanberis, North Wales", "abstract": "This dataset contains Global Navigation Satellite Systems (GNSS) and meteorological data from a static reference station at the base of the Snowdon Mountain Railway at Llanberis (SNLB). \r\n\r\nThe data were collected from 28th August 2011 to 16th October 2011 (50 days). \r\n\r\nTwo instruments collected data from the base including; Paroscientific Met 4 (ncl-met-4) and Leica GS10 GNSS (ncl-leica-gnss). The ncl-leica-gnss measured dual frequency GPS and GLONASS code and carrier phase satellite to receiver measurements, whilst the ncl-met-4 sensor recorded pressure and temperature. \r\n\r\n", "keywords": "snowdon-snlb", "publicationState": "published", "dataPublishedTime": "2015-09-23T09:02:44", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13107/?format=api", "dataPath": "/badc/snowdon-gnss/data/snowdon-snlb", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1650029509, "numberOfFiles": 101, "fileFormat": "Files are in RINEX format. See documents for more information." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3547/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/733/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data given to CEDA by project team at the University of Newcastle", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8508/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13057/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/13060/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50168/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50138/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50169/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50136/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50134/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50135/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50166/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50167/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50139/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50137/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13092/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }